<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Face</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Face<br/>
<small>
[<a class="el" href="group__m17nGUI.html">GUI API</a>]</small>
</h1>
<p>A face is an object to control appearance of M-text.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html">MFaceHLineProp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of horizontal line spec of face.  <a href="structMFaceHLineProp.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html">MFaceBoxProp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of box spec of face.  <a href="structMFaceBoxProp.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of faces.  <a href="#gad9e913e845df8db71f448e3aca2b83b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> )(<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, void *arg, void *info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of hook function of face.  <a href="#gac80758b8f49b50d0a828163524edf337"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e">mface</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new face.  <a href="#ga8733c479f4efa8f8d006c13ee4253f5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a">mface_copy</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make a copy of a face.  <a href="#ga218d370d5bc476d5a6fba4633ad69d0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga112cbaf7a88f3557cd32797819c350e2">mface_equal</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face1, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare faces.  <a href="#ga112cbaf7a88f3557cd32797819c350e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98">mface_merge</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *dst, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *src)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge faces.  <a href="#ga53437ed4392e313491cdd7d2cbfd5d98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3">mface_from_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make a face from a font.  <a href="#gafe62e34ba63c1230ff9243f1bfb075a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972">mface_get_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value of a face property.  <a href="#gad2ef5c2ddbef0dfded0c572653c92972"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056">mface_get_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the hook function of a face.  <a href="#ga7411a88b5acc10b19448e031991c9056"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34">mface_put_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a value of a face property.  <a href="#gab139e1dbaaba45a8d8d6acbdda076f34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da">mface_put_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a hook function to a face.  <a href="#ga77281fe20f450bf635676ece8e8c83da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3">mface_update</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Update a face.  <a href="#ga38119a4121db3158b5ee4b4b803d03a3"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables: Keys of face property</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp4be157c49bb87cba1e6dc3f1d889ea4f"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">Mforeground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying foreground color.  <a href="#ga524cecd96f1bdf2a46e52d2eb0acfa2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca">Mbackground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying background color.  <a href="#ga8d0f5054c5128d0369d8147cda7f53ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a">Mvideomode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying video mode.  <a href="#gae9e765bef0214640bf23843d1d813f5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c">Mratio</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying font size ratio.  <a href="#gafadda6b4709e04968e70e85a542f240c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543">Mhline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying horizontal line.  <a href="#ga4b54f64d7e2b6c7cae17ba7041855543"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f">Mbox</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying box.  <a href="#gaef4de28536a14fa67b45d4adc9c03d0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">Mfontset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying fontset.  <a href="#gaaacb68d5b559f01e985854bd375dda5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227">Mhook_func</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying hook.  <a href="#ga2067c84250b6d4e3d2d1488b6f09f227"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684">Mhook_arg</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a face property specifying argument of hook.  <a href="#ga7b90084ad168aaab28bb22b242a4c684"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables: Possible values of #Mvideomode property of face</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpc57fd40af057a3bf3b63fca83e8ea66a"></a> See the documentation of the variable <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a>. </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac640438a418e8fea7bb85acaf72439c2">Mnormal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga243e73adf0d31fe7497262c5b8a19c16">Mreverse</a></td></tr>
<tr><td colspan="2"><h2>Variables: Predefined faces</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp628cf4b57e7501a8133c1db94d57fe52"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">mface_normal_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normal video face.  <a href="#ga823bc052a591dc3f34369d4144368842"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">mface_reverse_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Reverse video face.  <a href="#gad67af3cfdfd7a80e67ba7d70674d1d2b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">mface_underline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Underline face.  <a href="#gac8125083ae3f99f61ad3e1590c71d8b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">mface_medium</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Medium face.  <a href="#gaf72a0b0f8b7b55ac6cd964e5b790957d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">mface_bold</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Bold face.  <a href="#ga0df472269e69bfd1a7982e7ff4183399"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">mface_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Italic face.  <a href="#gacd10c2f30a5e48c509cb5b3883392f6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">mface_bold_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Bold italic face.  <a href="#ga5d704867552bb8ec683667c414a1960f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">mface_xx_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Smallest face.  <a href="#ga2b3db59701b640f46154835473f4033c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">mface_x_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Smaller face.  <a href="#ga8a766181eaa65b4c7346598ef7a3b87a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">mface_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Small face.  <a href="#gacfd385bdf0694027519083543fb44ea7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">mface_normalsize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Normalsize face.  <a href="#gaf72155c34c65f7060f8437d11091b78d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">mface_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Large face.  <a href="#gabbaeffa03c89e6816aeeb297bf5e7f25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">mface_x_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Larger face.  <a href="#ga783f8190b9508c6942fa5cd7eed94f6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">mface_xx_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Largest face.  <a href="#gab0438da79ed1ab3b4fc2a298f09151cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">mface_black</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Black face.  <a href="#ga543d0f7aaf8c6928fe0ccaafd880fbbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">mface_white</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">White face.  <a href="#ga0e85607d4a72fb0092924130206dbf70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">mface_red</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Red face.  <a href="#gaf5a2e1502310dab37917e345d6f98bb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">mface_green</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Green face.  <a href="#ga4fa43459206e1b3278aff593ace876f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">mface_blue</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Blue face.  <a href="#ga34c0c7c3fb1761d860feafb20dca48d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">mface_cyan</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cyan face.  <a href="#ga4bc98951d16a82de13639aa8c8013896"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">mface_yellow</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">yellow face.  <a href="#ga23cd00ce0804f3e64d8cf3b245a58dac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">mface_magenta</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Magenta face.  <a href="#gabbd1e5c77c470ba79b2df149ea6c9342"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables: The other symbols for face handling.</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpda0263f6ff63e206b4015f7bbe0acb58"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">Mface</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Key of a text property specifying a face.  <a href="#ga0d38a942d019c7cc235258e73fa42789"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>A face is an object to control appearance of M-text. </p>
<p>A <em>face</em> is an object of the type <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="Type of faces.">MFace</a> and controls how to draw M-texts. A face has a fixed number of <em>face</em> <em>properties</em>. Like other types of properties, a face property consists of a key and a value. A key is one of the following symbols:</p>
<p><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a>, <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="Key of a face property specifying background color.">Mbackground</a>, <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a>, <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="Key of a face property specifying horizontal line.">Mhline</a>, <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="Key of a face property specifying box.">Mbox</a>, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="Key of font property specifying foundry.">Mfoundry</a>, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="Key of font property specifying family.">Mfamily</a>, <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="Key of font property specifying weight.">Mweight</a>, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="Key of font property specifying style.">Mstyle</a>, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="Key of font property specifying stretch.">Mstretch</a>, <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="Key of font property specifying additional style.">Madstyle</a>, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="Key of font property specifying size.">Msize</a>, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="Key of a face property specifying fontset.">Mfontset</a>, <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a>, <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="Key of a face property specifying hook.">Mhook_func</a>, <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="Key of a face property specifying argument of hook.">Mhook_arg</a></p>
<p>The notation "xxx property of F" means the face property that belongs to face F and whose key is <code>Mxxx</code>.</p>
<p>The M-text drawing functions first search an M-text for the text property whose key is the symbol <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="Key of a text property specifying a face.">Mface</a>, then draw the M-text using the value of that text property. This value must be a pointer to a face object.</p>
<p>If there are multiple text properties whose key is <code>Mface</code>, and they are not conflicting one another, properties of those faces are merged and used.</p>
<p>If no faces specify a certain property, the value of the default face is used. </p>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gad9e913e845df8db71f448e3aca2b83b5"></a><!-- doxytag: member="m17n&#45;gui.h::MFace" ref="gad9e913e845df8db71f448e3aca2b83b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of faces. </p>
<p>The type <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="Type of faces.">MFace</a> is the structure of face objects. The internal structure is concealed from an application program. </p>

</div>
</div>
<a class="anchor" id="gac80758b8f49b50d0a828163524edf337"></a><!-- doxytag: member="m17n&#45;gui.h::MFaceHookFunc" ref="gac80758b8f49b50d0a828163524edf337" args=")(MFace *face, void *arg, void *info)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>)(<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, void *arg, void *info)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type of hook function of face. </p>
<p><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337" title="Type of hook function of face.">MFaceHookFunc</a> is a type of a hook function of a face. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga8733c479f4efa8f8d006c13ee4253f5e"></a><!-- doxytag: member="face.c::mface" ref="ga8733c479f4efa8f8d006c13ee4253f5e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new face. </p>
<p>The <a class="el" href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e" title="Create a new face.">mface()</a> function creates a new face object that specifies no property.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>This function returns a pointer to the created face. </dd></dl>

</div>
</div>
<a class="anchor" id="ga218d370d5bc476d5a6fba4633ad69d0a"></a><!-- doxytag: member="face.c::mface_copy" ref="ga218d370d5bc476d5a6fba4633ad69d0a" args="(MFace *face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make a copy of a face. </p>
<p>The <a class="el" href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a" title="Make a copy of a face.">mface_copy()</a> function makes a copy of <b>face</b> and returns a pointer to the created copy. </p>

</div>
</div>
<a class="anchor" id="ga112cbaf7a88f3557cd32797819c350e2"></a><!-- doxytag: member="face.c::mface_equal" ref="ga112cbaf7a88f3557cd32797819c350e2" args="(MFace *face1, MFace *face2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mface_equal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compare faces. </p>
<p>The <a class="el" href="group__m17nFace.html#ga112cbaf7a88f3557cd32797819c350e2" title="Compare faces.">mface_equal()</a> function compares faces <b>face1</b> and <b>face2</b>.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If two faces have the same property values, return 1. Otherwise return 0. </dd></dl>

</div>
</div>
<a class="anchor" id="ga53437ed4392e313491cdd7d2cbfd5d98"></a><!-- doxytag: member="face.c::mface_merge" ref="ga53437ed4392e313491cdd7d2cbfd5d98" args="(MFace *dst, MFace *src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface_merge </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>src</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merge faces. </p>
<p>The <a class="el" href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98" title="Merge faces.">mface_merge()</a> functions merges the properties of face <b>src</b> into <b>dst</b>.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>This function returns <b>dst</b>. </dd></dl>

</div>
</div>
<a class="anchor" id="gafe62e34ba63c1230ff9243f1bfb075a3"></a><!-- doxytag: member="face.c::mface_from_font" ref="gafe62e34ba63c1230ff9243f1bfb075a3" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface_from_font </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make a face from a font. </p>
<p>The <a class="el" href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3" title="Make a face from a font.">mface_from_font()</a> function return a newly created face while reflecting the properties of <b>font</b> in its properties. </p>

</div>
</div>
<a class="anchor" id="gad2ef5c2ddbef0dfded0c572653c92972"></a><!-- doxytag: member="face.c::mface_get_prop" ref="gad2ef5c2ddbef0dfded0c572653c92972" args="(MFace *face, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mface_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the value of a face property. </p>
<p>The <a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972" title="Get the value of a face property.">mface_get_prop()</a> function returns the value of the face property whose key is <b>key</b> in face <b>face</b>. <b>key</b> must be one of the followings:</p>
<p><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a>, <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="Key of a face property specifying background color.">Mbackground</a>, <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a>, <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="Key of a face property specifying horizontal line.">Mhline</a>, <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="Key of a face property specifying box.">Mbox</a>, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="Key of font property specifying foundry.">Mfoundry</a>, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="Key of font property specifying family.">Mfamily</a>, <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="Key of font property specifying weight.">Mweight</a>, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="Key of font property specifying style.">Mstyle</a>, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="Key of font property specifying stretch.">Mstretch</a>, <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="Key of font property specifying additional style.">Madstyle</a>, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="Key of font property specifying size.">Msize</a>, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="Key of a face property specifying fontset.">Mfontset</a>, <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a>, <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="Key of a face property specifying hook.">Mhook_func</a>, <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="Key of a face property specifying argument of hook.">Mhook_arg</a></p>
<dl class="user"><dt><b>Return value:</b></dt><dd>The actual type of the returned value depends of <b>key</b>. See documentation of the above keys. If an error is detected, it returns <code>NULL</code> and assigns an error code to the external variable <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="External variable to hold error code of the m17n library.">merror_code</a>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34" title="Set a value of a face property.">mface_put_prop()</a>, <a class="el" href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da" title="Set a hook function to a face.">mface_put_hook()</a></dd></dl>
<dl class="user"><dt><b>Errors:</b></dt><dd><code>MERROR_FACE</code> </dd></dl>

</div>
</div>
<a class="anchor" id="ga7411a88b5acc10b19448e031991c9056"></a><!-- doxytag: member="face.c::mface_get_hook" ref="ga7411a88b5acc10b19448e031991c9056" args="(MFace *face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> mface_get_hook </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the hook function of a face. </p>
<p>The <a class="el" href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056" title="Get the hook function of a face.">mface_get_hook()</a> function returns the hook function of face <b>face</b>. </p>

</div>
</div>
<a class="anchor" id="gab139e1dbaaba45a8d8d6acbdda076f34"></a><!-- doxytag: member="face.c::mface_put_prop" ref="gab139e1dbaaba45a8d8d6acbdda076f34" args="(MFace *face, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mface_put_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a value of a face property. </p>
<p>The <a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34" title="Set a value of a face property.">mface_put_prop()</a> function assigns <b>val</b> to the property whose key is <b>key</b> in face <b>face</b>. <b>key</b> must be one the followings:</p>
<p><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a>, <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="Key of a face property specifying background color.">Mbackground</a>, <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a>, <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="Key of a face property specifying horizontal line.">Mhline</a>, <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="Key of a face property specifying box.">Mbox</a>, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="Key of font property specifying foundry.">Mfoundry</a>, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="Key of font property specifying family.">Mfamily</a>, <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="Key of font property specifying weight.">Mweight</a>, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="Key of font property specifying style.">Mstyle</a>, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="Key of font property specifying stretch.">Mstretch</a>, <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="Key of font property specifying additional style.">Madstyle</a>, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="Key of font property specifying size.">Msize</a>, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="Key of a face property specifying fontset.">Mfontset</a>, <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a>, <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="Key of a face property specifying hook.">Mhook_func</a>, <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="Key of a face property specifying argument of hook.">Mhook_arg</a></p>
<p>Among them, font related properties (<a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="Key of font property specifying foundry.">Mfoundry</a> through <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="Key of font property specifying size.">Msize</a>) are used as the default values when a font in the fontset of <b>face</b> does not specify those values.</p>
<p>The actual type of the returned value depends of <b>key</b>. See documentation of the above keys.</p>
<dl class="user"><dt><b>Return value:</b></dt><dd>If the operation was successful, <a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34" title="Set a value of a face property.">mface_put_prop()</a> returns 0. Otherwise it returns -1 and assigns an error code to the external variable <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="External variable to hold error code of the m17n library.">merror_code</a>.</dd></dl>
<dl class="user"><dt><b>See Also:</b></dt><dd><a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972" title="Get the value of a face property.">mface_get_prop()</a></dd></dl>
<dl class="user"><dt><b>Errors:</b></dt><dd><code>MERROR_FACE</code> </dd></dl>

</div>
</div>
<a class="anchor" id="ga77281fe20f450bf635676ece8e8c83da"></a><!-- doxytag: member="face.c::mface_put_hook" ref="ga77281fe20f450bf635676ece8e8c83da" args="(MFace *face, MFaceHookFunc func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mface_put_hook </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>&nbsp;</td>
          <td class="paramname"> <em>func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a hook function to a face. </p>
<p>The mface_set_hook() function sets the hook function of face <b>face</b> to <b>func</b>. </p>

</div>
</div>
<a class="anchor" id="ga38119a4121db3158b5ee4b4b803d03a3"></a><!-- doxytag: member="face.c::mface_update" ref="ga38119a4121db3158b5ee4b4b803d03a3" args="(MFrame *frame, MFace *face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void mface_update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update a face. </p>
<p>The <a class="el" href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3" title="Update a face.">mface_update()</a> function update face <b>face</b> on frame <b>frame</b> by calling a hook function of <b>face</b> (if any). </p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga524cecd96f1bdf2a46e52d2eb0acfa2f"></a><!-- doxytag: member="face.c::Mforeground" ref="ga524cecd96f1bdf2a46e52d2eb0acfa2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">Mforeground</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying foreground color. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> is used as a key of face property. The property value must be a symbol whose name is a color name, or <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>.</p>
<p><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a> means that the face does not specify a foreground color. Otherwise, the foreground of an M-text is drawn by the specified color. </p>

</div>
</div>
<a class="anchor" id="ga8d0f5054c5128d0369d8147cda7f53ca"></a><!-- doxytag: member="face.c::Mbackground" ref="ga8d0f5054c5128d0369d8147cda7f53ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca">Mbackground</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying background color. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="Key of a face property specifying background color.">Mbackground</a> is used as a key of face property. The property value must be a symbol whose name is a color name, or <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>.</p>
<p><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a> means that the face does not specify a background color. Otherwise, the background of an M-text is drawn by the specified color. </p>

</div>
</div>
<a class="anchor" id="gae9e765bef0214640bf23843d1d813f5a"></a><!-- doxytag: member="face.c::Mvideomode" ref="gae9e765bef0214640bf23843d1d813f5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a">Mvideomode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying video mode. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a> is used as a key of face property. The property value must be <b>Mnormal</b>, <b>Mreverse</b>, or <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a>.</p>
<p><b>Mnormal</b> means that an M-text is drawn in normal video mode (i.e. the foreground is drawn by foreground color, the background is drawn by background color).</p>
<p><b>Mreverse</b> means that an M-text is drawn in reverse video mode (i.e. the foreground is drawn by background color, the background is drawn by foreground color).</p>
<p><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="Symbol whose name is &quot;nil&quot;.">Mnil</a> means that the face does not specify a video mode. </p>

</div>
</div>
<a class="anchor" id="gafadda6b4709e04968e70e85a542f240c"></a><!-- doxytag: member="face.c::Mratio" ref="gafadda6b4709e04968e70e85a542f240c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c">Mratio</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying font size ratio. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> is used as a key of face property. The value RATIO must be an integer.</p>
<p>The value 0 means that the face does not specify a font size ratio. Otherwise, an M-text is drawn by a font of size (FONTSIZE RATIO / 100) where FONTSIZE is a font size specified by the face property <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="Key of font property specifying size.">Msize</a>. </p>

</div>
</div>
<a class="anchor" id="ga4b54f64d7e2b6c7cae17ba7041855543"></a><!-- doxytag: member="face.c::Mhline" ref="ga4b54f64d7e2b6c7cae17ba7041855543" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543">Mhline</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying horizontal line. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="Key of a face property specifying horizontal line.">Mhline</a> is used as a key of face property. The value must be a pointer to an object of type <a class="el" href="structMFaceHLineProp.html" title="Type of horizontal line spec of face.">MFaceHLineProp</a>, or <code>NULL</code>.</p>
<p>The value <code>NULL</code> means that the face does not specify this property. Otherwise, an M-text is drawn with a horizontal line by a way specified by the object that the value points to. </p>

</div>
</div>
<a class="anchor" id="gaef4de28536a14fa67b45d4adc9c03d0f"></a><!-- doxytag: member="face.c::Mbox" ref="gaef4de28536a14fa67b45d4adc9c03d0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f">Mbox</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying box. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="Key of a face property specifying box.">Mbox</a> is used as a key of face property. The value must be a pointer to an object of type <a class="el" href="structMFaceBoxProp.html" title="Type of box spec of face.">MFaceBoxProp</a>, or <code>NULL</code>.</p>
<p>The value <code>NULL</code> means that the face does not specify a box. Otherwise, an M-text is drawn with a surrounding box by a way specified by the object that the value points to. </p>

</div>
</div>
<a class="anchor" id="gaaacb68d5b559f01e985854bd375dda5f"></a><!-- doxytag: member="face.c::Mfontset" ref="gaaacb68d5b559f01e985854bd375dda5f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">Mfontset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying fontset. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="Key of a face property specifying fontset.">Mfontset</a> is used as a key of face property. The value must be a pointer to an object of type <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="Key of a face property specifying fontset.">Mfontset</a>, or <code>NULL</code>.</p>
<p>The value <code>NULL</code> means that the face does not specify a fontset. Otherwise, an M-text is drawn with a font selected from what specified in the fontset. </p>

</div>
</div>
<a class="anchor" id="ga2067c84250b6d4e3d2d1488b6f09f227"></a><!-- doxytag: member="face.c::Mhook_func" ref="ga2067c84250b6d4e3d2d1488b6f09f227" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227">Mhook_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying hook. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="Key of a face property specifying hook.">Mhook_func</a> is used as a key of face property. The value must be a function of type <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337" title="Type of hook function of face.">MFaceHookFunc</a>, or <code>NULL</code>.</p>
<p>The value <code>NULL</code> means that the face does not specify a hook. Otherwise, the specified function is called before the face is realized. </p>

</div>
</div>
<a class="anchor" id="ga7b90084ad168aaab28bb22b242a4c684"></a><!-- doxytag: member="face.c::Mhook_arg" ref="ga7b90084ad168aaab28bb22b242a4c684" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684">Mhook_arg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a face property specifying argument of hook. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="Key of a face property specifying argument of hook.">Mhook_arg</a> is used as a key of face property. The value can be anything that is passed a hook function specified by the face property <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="Key of a face property specifying hook.">Mhook_func</a>. </p>

</div>
</div>
<a class="anchor" id="gac640438a418e8fea7bb85acaf72439c2"></a><!-- doxytag: member="face.c::Mnormal" ref="gac640438a418e8fea7bb85acaf72439c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gac640438a418e8fea7bb85acaf72439c2">Mnormal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga243e73adf0d31fe7497262c5b8a19c16"></a><!-- doxytag: member="face.c::Mreverse" ref="ga243e73adf0d31fe7497262c5b8a19c16" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga243e73adf0d31fe7497262c5b8a19c16">Mreverse</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga823bc052a591dc3f34369d4144368842"></a><!-- doxytag: member="face.c::mface_normal_video" ref="ga823bc052a591dc3f34369d4144368842" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">mface_normal_video</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Normal video face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842" title="Normal video face.">mface_normal_video</a> points to a face that has the <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a> property with value <b>Mnormal</b>. The other properties are not specified. An M-text drawn with this face appear normal colors (i.e. the foreground is drawn by foreground color, and background is drawn by background color). </p>

</div>
</div>
<a class="anchor" id="gad67af3cfdfd7a80e67ba7d70674d1d2b"></a><!-- doxytag: member="face.c::mface_reverse_video" ref="gad67af3cfdfd7a80e67ba7d70674d1d2b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">mface_reverse_video</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reverse video face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b" title="Reverse video face.">mface_reverse_video</a> points to a face that has the <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="Key of a face property specifying video mode.">Mvideomode</a> property with value <b>Mreverse</b>. The other properties are not specified. An M-text drawn with this face appear in reversed colors (i.e. the foreground is drawn by background color, and background is drawn by foreground color). </p>

</div>
</div>
<a class="anchor" id="gac8125083ae3f99f61ad3e1590c71d8b3"></a><!-- doxytag: member="face.c::mface_underline" ref="gac8125083ae3f99f61ad3e1590c71d8b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">mface_underline</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Underline face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3" title="Underline face.">mface_underline</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="Key of a face property specifying horizontal line.">Mhline</a> property with value a pointer to an object of type <a class="el" href="structMFaceHLineProp.html" title="Type of horizontal line spec of face.">MFaceHLineProp</a>. The members of the object are as follows:</p>
<div class="fragment"><pre class="fragment">
    member  value
    -----   -----
    type    MFACE_HLINE_UNDER
    width   1
    color   Mnil
</pre></div><p>The other properties are not specified. An M-text that has this face is drawn with an underline. </p>

</div>
</div>
<a class="anchor" id="gaf72a0b0f8b7b55ac6cd964e5b790957d"></a><!-- doxytag: member="face.c::mface_medium" ref="gaf72a0b0f8b7b55ac6cd964e5b790957d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">mface_medium</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Medium face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d" title="Medium face.">mface_medium</a> points to a face that has the <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="Key of font property specifying weight.">Mweight</a> property with value a symbol of name "medium". The other properties are not specified. An M-text that has this face is drawn with a font of medium weight. </p>

</div>
</div>
<a class="anchor" id="ga0df472269e69bfd1a7982e7ff4183399"></a><!-- doxytag: member="face.c::mface_bold" ref="ga0df472269e69bfd1a7982e7ff4183399" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">mface_bold</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bold face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399" title="Bold face.">mface_bold</a> points to a face that has the <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="Key of font property specifying weight.">Mweight</a> property with value a symbol of name "bold". The other properties are not specified. An M-text that has this face is drawn with a font of bold weight. </p>

</div>
</div>
<a class="anchor" id="gacd10c2f30a5e48c509cb5b3883392f6c"></a><!-- doxytag: member="face.c::mface_italic" ref="gacd10c2f30a5e48c509cb5b3883392f6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">mface_italic</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Italic face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c" title="Italic face.">mface_italic</a> points to a face that has the <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="Key of font property specifying style.">Mstyle</a> property with value a symbol of name "italic". The other properties are not specified. An M-text that has this face is drawn with a font of italic style. </p>

</div>
</div>
<a class="anchor" id="ga5d704867552bb8ec683667c414a1960f"></a><!-- doxytag: member="face.c::mface_bold_italic" ref="ga5d704867552bb8ec683667c414a1960f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">mface_bold_italic</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bold italic face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f" title="Bold italic face.">mface_bold_italic</a> points to a face that has the <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="Key of font property specifying weight.">Mweight</a> property with value a symbol of name "bold", and <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="Key of font property specifying style.">Mstyle</a> property with value a symbol of name "italic". The other properties are not specified. An M-text that has this face is drawn with a font of bold weight and italic style. </p>

</div>
</div>
<a class="anchor" id="ga2b3db59701b640f46154835473f4033c"></a><!-- doxytag: member="face.c::mface_xx_small" ref="ga2b3db59701b640f46154835473f4033c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">mface_xx_small</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Smallest face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c" title="Smallest face.">mface_xx_small</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 50. The other properties are not specified. An M-text that has this face is drawn with a font whose size is 50% of a normal font. </p>

</div>
</div>
<a class="anchor" id="ga8a766181eaa65b4c7346598ef7a3b87a"></a><!-- doxytag: member="face.c::mface_x_small" ref="ga8a766181eaa65b4c7346598ef7a3b87a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">mface_x_small</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Smaller face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a" title="Smaller face.">mface_x_small</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 66. The other properties are not specified. An M-text that has this face is drawn with a font whose size is 66% of a normal font. </p>

</div>
</div>
<a class="anchor" id="gacfd385bdf0694027519083543fb44ea7"></a><!-- doxytag: member="face.c::mface_small" ref="gacfd385bdf0694027519083543fb44ea7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">mface_small</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Small face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a" title="Smaller face.">mface_x_small</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 75. The other properties are not specified. An M-text that has this face is drawn with a font whose size is 75% of a normal font. </p>

</div>
</div>
<a class="anchor" id="gaf72155c34c65f7060f8437d11091b78d"></a><!-- doxytag: member="face.c::mface_normalsize" ref="gaf72155c34c65f7060f8437d11091b78d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">mface_normalsize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Normalsize face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d" title="Normalsize face.">mface_normalsize</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 100. The other properties are not specified. An M-text that has this face is drawn with a font whose size is the same as a normal font. </p>

</div>
</div>
<a class="anchor" id="gabbaeffa03c89e6816aeeb297bf5e7f25"></a><!-- doxytag: member="face.c::mface_large" ref="gabbaeffa03c89e6816aeeb297bf5e7f25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">mface_large</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Large face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25" title="Large face.">mface_large</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 120. The other properties are not specified. An M-text that has this face is drawn with a font whose size is 120% of a normal font. </p>

</div>
</div>
<a class="anchor" id="ga783f8190b9508c6942fa5cd7eed94f6f"></a><!-- doxytag: member="face.c::mface_x_large" ref="ga783f8190b9508c6942fa5cd7eed94f6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">mface_x_large</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Larger face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f" title="Larger face.">mface_x_large</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 150. The other properties are not specified. An M-text that has this face is drawn with a font whose size is 150% of a normal font. </p>

</div>
</div>
<a class="anchor" id="gab0438da79ed1ab3b4fc2a298f09151cc"></a><!-- doxytag: member="face.c::mface_xx_large" ref="gab0438da79ed1ab3b4fc2a298f09151cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">mface_xx_large</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Largest face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc" title="Largest face.">mface_xx_large</a> points to a face that has the <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="Key of a face property specifying font size ratio.">Mratio</a> property with value 200. The other properties are not specified. An M-text that has this face is drawn with a font whose size is 200% of a normal font. </p>

</div>
</div>
<a class="anchor" id="ga543d0f7aaf8c6928fe0ccaafd880fbbb"></a><!-- doxytag: member="face.c::mface_black" ref="ga543d0f7aaf8c6928fe0ccaafd880fbbb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">mface_black</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Black face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb" title="Black face.">mface_black</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "black". The other properties are not specified. An M-text that has this face is drawn with black foreground. </p>

</div>
</div>
<a class="anchor" id="ga0e85607d4a72fb0092924130206dbf70"></a><!-- doxytag: member="face.c::mface_white" ref="ga0e85607d4a72fb0092924130206dbf70" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">mface_white</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>White face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70" title="White face.">mface_white</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "white". The other properties are not specified. An M-text that has this face is drawn with white foreground. </p>

</div>
</div>
<a class="anchor" id="gaf5a2e1502310dab37917e345d6f98bb1"></a><!-- doxytag: member="face.c::mface_red" ref="gaf5a2e1502310dab37917e345d6f98bb1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">mface_red</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Red face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1" title="Red face.">mface_red</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "red". The other properties are not specified. An M-text that has this face is drawn with red foreground. </p>

</div>
</div>
<a class="anchor" id="ga4fa43459206e1b3278aff593ace876f3"></a><!-- doxytag: member="face.c::mface_green" ref="ga4fa43459206e1b3278aff593ace876f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">mface_green</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Green face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3" title="Green face.">mface_green</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "green". The other properties are not specified. An M-text that has this face is drawn with green foreground. </p>

</div>
</div>
<a class="anchor" id="ga34c0c7c3fb1761d860feafb20dca48d8"></a><!-- doxytag: member="face.c::mface_blue" ref="ga34c0c7c3fb1761d860feafb20dca48d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">mface_blue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Blue face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8" title="Blue face.">mface_blue</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "blue". The other properties are not specified. An M-text that has this face is drawn with blue foreground. </p>

</div>
</div>
<a class="anchor" id="ga4bc98951d16a82de13639aa8c8013896"></a><!-- doxytag: member="face.c::mface_cyan" ref="ga4bc98951d16a82de13639aa8c8013896" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">mface_cyan</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cyan face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896" title="Cyan face.">mface_cyan</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "cyan". The other properties are not specified. An M-text that has this face is drawn with cyan foreground. </p>

</div>
</div>
<a class="anchor" id="ga23cd00ce0804f3e64d8cf3b245a58dac"></a><!-- doxytag: member="face.c::mface_yellow" ref="ga23cd00ce0804f3e64d8cf3b245a58dac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">mface_yellow</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>yellow face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac" title="yellow face.">mface_yellow</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "yellow". The other properties are not specified. An M-text that has this face is drawn with yellow foreground. </p>

</div>
</div>
<a class="anchor" id="gabbd1e5c77c470ba79b2df149ea6c9342"></a><!-- doxytag: member="face.c::mface_magenta" ref="gabbd1e5c77c470ba79b2df149ea6c9342" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">mface_magenta</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Magenta face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342" title="Magenta face.">mface_magenta</a> points to a face that has the <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="Key of a face property specifying foreground color.">Mforeground</a> property with value a symbol of name "magenta". The other properties are not specified. An M-text that has this face is drawn with magenta foreground. </p>

</div>
</div>
<a class="anchor" id="ga0d38a942d019c7cc235258e73fa42789"></a><!-- doxytag: member="face.c::Mface" ref="ga0d38a942d019c7cc235258e73fa42789" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">Mface</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Key of a text property specifying a face. </p>
<p>The variable <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="Key of a text property specifying a face.">Mface</a> is a symbol of name <code>"face"</code>. A text property whose key is this symbol must have a pointer to an object of type <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="Type of faces.">MFace</a>. This is a managing key. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
